Name:		sugar-chart
Version:	6
Release:	1%{?dist}
Summary:	SimpleGraph is an Activity for create charts using PyCha

Group:		Sugar/Activities
License:	GPLv3
URL:		http://wiki.sugarlabs.org/go/Activities/SimpleGraph
Source0:	http://germanrs.fedorapeople.org/Sugar/sugar-chart/Chart.activity-6.tar.gz	
Patch0:		remove-shebang

BuildRequires:	gettext
BuildRequires:	sugar-toolkit
Requires:	sugar
BuildArch:	noarch
	
%description
SimpleGraph is an Activity for create charts using PyCha

%prep
%setup -q -n Chart.activity-%{version}
%patch0 -p1
# Set 644 to /icons/line.svg file
find . -type f -exec chmod 0644 \{\} \;

%build
%{__python} ./setup.py build

%install
%{__python} setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

%find_lang org.sugarlabs.SimpleGraph

%files -f org.sugarlabs.SimpleGraph.lang
%doc NEWS
%{sugaractivitydir}/Chart.activity/

%changelog
* Sat Jul 21 2012 German Ruíz <germanrs@fedoraproject.org> - 6-1
 - Upstream changes:
 - Fonts bigger.
 - Lots of code changes.
 - sugar-pycha library created: git.sugarlabs.org/sugar-pycha.
 - Nice graphics :)

* Thu Jul 12 2012 German Ruiz <germanrs@fedoraproject.org> - 5-1
 Initial package
